Bug 1138330 - Review Request: shadowsintolight-fonts - Shadows Into Light fonts by Kimberly Geswein
Summary: Review Request: shadowsintolight-fonts - Shadows Into Light fonts by Kimberl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1070946
TreeView+ depends on / blocked
 
Reported: 2014-09-04 13:57 UTC by Julien Enselme
Modified: 2014-09-27 10:05 UTC (History)
3 users (show)

Fixed In Version: shadowsintolight-fonts-1.000-0.3.20140913hg.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:32:49 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Julien Enselme 2014-09-04 13:57:55 UTC
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/shadowsintolight-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/shadowsintolight-fonts-1.00-1.716ff965e2b0hg.fc20.src.rpm
Description:
This clean, neat handwriting font has a feminine feel with nice rounded edges
and curves. It is perfect for adding a personalized touch to your project.

Fedora Account System Username: jujens

Comment 1 Parag AN(पराग) 2014-09-04 14:10:20 UTC
this package is missing foundry. See http://fedoraproject.org/wiki/Packaging:FontsPolicy#Naming this. Fonts packaged from google font directory should start its name with prefix "google-"

Comment 2 Parag AN(पराग) 2014-09-09 15:32:31 UTC
We got naming issue resolved as "we don't need to add `google-` prefix". 

Review:

+ Package builds fine in mock in F22

- rpmlint on generated rpms gave output
shadowsintolight-fonts.src: E: specfile-error warning: line 48: second %files
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

- source verified with upstream as (sha256sum)
=> Don't know how to download source archive

+ License is OFL and included in its own text file OFL.txt

- fontconfig file looks good

+ follows fonts packaging guidelines except additional %files

Suggestions:
1) if you execute
rpm -E %_font_pkg

you will see this macro already added %files. so you should remove %files written explicitly in spec file.

2) use cursive instead of handwriting in fontconfig file see more about this in /usr/share/fontconfig/templates/fontconfig-generics.txt

3) How do you created source archive? Maybe you should add comment above Source0: tag and write how one can obtain same tarball

Comment 3 Parag AN(पराग) 2014-09-09 15:34:46 UTC
4) and version looks 1.000 and not 1.00

Comment 4 Julien Enselme 2014-09-09 19:22:44 UTC
1) Strange, I didn't get this warning. I removed the %file macro.

2) Corrected.

3) I added a comment.
# To create the tarball, download the ShadowsIntoLight.ttf and OFL.txt files
# (listed on URL). Then, create the archive by hand.

4) Corrected

Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/shadowsintolight-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/shadowsintolight-fonts-1.000-2.716ff965e2b0hg.fc20.src.rpm

Comment 5 Parag AN(पराग) 2014-09-13 06:07:35 UTC
Here source url's can be used as
$ wget https://googlefontdirectory.googlecode.com/hg/ofl/shadowsintolight/ShadowsIntoLight.ttf
--2014-09-13 11:36:51--  https://googlefontdirectory.googlecode.com/hg/ofl/shadowsintolight/ShadowsIntoLight.ttf
Resolving googlefontdirectory.googlecode.com (googlefontdirectory.googlecode.com)... 74.125.68.82, 2404:6800:4003:c02::52
Connecting to googlefontdirectory.googlecode.com (googlefontdirectory.googlecode.com)|74.125.68.82|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 54304 (53K) [application/octet-stream]
Saving to: ‘ShadowsIntoLight.ttf’

100%[======================================>] 54,304      78.2KB/s   in 0.7s   

2014-09-13 11:36:53 (78.2 KB/s) - ‘ShadowsIntoLight.ttf’ saved [54304/54304]

$ wget https://googlefontdirectory.googlecode.com/hg/ofl/shadowsintolight/OFL.txt
--2014-09-13 11:37:05--  https://googlefontdirectory.googlecode.com/hg/ofl/shadowsintolight/OFL.txt
Resolving googlefontdirectory.googlecode.com (googlefontdirectory.googlecode.com)... 74.125.68.82, 2404:6800:4003:c02::52
Connecting to googlefontdirectory.googlecode.com (googlefontdirectory.googlecode.com)|74.125.68.82|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: unspecified [text/plain]
Saving to: ‘OFL.txt’

    [ <=>                                   ] 4,362       --.-K/s   in 0.01s   

2014-09-13 11:37:06 (395 KB/s) - ‘OFL.txt’ saved [4362]

Comment 7 Parag AN(पराग) 2014-09-15 05:41:36 UTC
Looks good now.

APPROVED.

Comment 8 Julien Enselme 2014-09-15 17:09:36 UTC
New Package SCM Request
=======================
Package Name: shadowsintolight-fonts
Short Description: Shadows Into Light fonts by Kimberly Geswein
Upstream URL: http://www.google.com/fonts/specimen/Shadows+Into+Light
Owners: jujens
Branches: f20 f21
InitialCC: fonts-sig, i18n-team

Comment 9 Gwyn Ciesla 2014-09-15 18:35:27 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-09-15 20:51:20 UTC
shadowsintolight-fonts-1.000-0.3.20140913hg.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/shadowsintolight-fonts-1.000-0.3.20140913hg.fc20

Comment 11 Fedora Update System 2014-09-15 20:51:26 UTC
shadowsintolight-fonts-1.000-0.3.20140913hg.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/shadowsintolight-fonts-1.000-0.3.20140913hg.fc21

Comment 12 Fedora Update System 2014-09-16 18:44:15 UTC
shadowsintolight-fonts-1.000-0.3.20140913hg.fc21 has been pushed to the Fedora 21 testing repository.

Comment 13 Fedora Update System 2014-09-23 04:32:49 UTC
shadowsintolight-fonts-1.000-0.3.20140913hg.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2014-09-27 10:05:03 UTC
shadowsintolight-fonts-1.000-0.3.20140913hg.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.